/in.php — Submit Task
Submit a CAPTCHA task using the 2captcha-compatible format. Drop-in replacement — change only the base URL.
https://2captcha.com/in.phphttps://api.ucaptcha.net/in.phpEndpoint
Section titled “Endpoint”GET|POST https://api.ucaptcha.net/in.phpBoth GET (query params) and POST (form/JSON body) are accepted.
Authentication
Section titled “Authentication”Pass your uCaptcha API key as the key parameter.
Parameters
Section titled “Parameters”Required
Section titled “Required”| Parameter | Type | Description |
|---|---|---|
key | string | Your uCaptcha API key |
method | string | Task type identifier (see Method Mapping below) |
Method Mapping
Section titled “Method Mapping”The method parameter determines the task type.
method | Task Type | Required Fields |
|---|---|---|
userrecaptcha | reCAPTCHA v2 | googlekey, pageurl |
hcaptcha | hCaptcha | sitekey, pageurl |
turnstile | Cloudflare Turnstile | sitekey, pageurl |
funcaptcha | FunCaptcha / Arkose Labs | publickey, pageurl |
geetest | GeeTest v3 | gt, challenge, pageurl |
captchafox | CaptchaFox | sitekey, pageurl |
base64 | Image captcha (base64) | body |
post | Image captcha (upload) | body |
Task Parameters
Section titled “Task Parameters”| Parameter | Type | Description |
|---|---|---|
googlekey | string | reCAPTCHA site key |
sitekey | string | hCaptcha / Turnstile / CaptchaFox site key |
publickey | string | FunCaptcha public key |
pageurl | string | URL of the target page |
body | string | Base64-encoded image data |
invisible | 0 | 1 | Invisible reCAPTCHA flag |
enterprise | 0 | 1 | Enterprise variant flag |
action | string | reCAPTCHA v3 action string |
min_score / score | float | reCAPTCHA v3 minimum score (e.g. 0.9) |
data-s | string | reCAPTCHA data-s token |
domain | string | Alternative API domain |
cookies | string | Cookies to pass to the solver |
userAgent | string | User-Agent to use during solving |
Proxy Parameters
Section titled “Proxy Parameters”| Parameter | Type | Description |
|---|---|---|
proxy | string | Proxy address: user:pass@ip:port or ip:port |
proxytype | string | HTTP, SOCKS4, or SOCKS5 |
Adding proxy + proxytype automatically upgrades ProxyLess task types to their Proxy variant.
Control Parameters
Section titled “Control Parameters”| Parameter | Type | Description |
|---|---|---|
json | 0 | 1 | Return JSON format (1) or plain text (0, default) |
pingback | string | Callback URL — receive result via webhook instead of polling |
soft_id | string | Software ID for tracking |
header_acao | 0 | 1 | Add Access-Control-Allow-Origin: * header |
Auto-Upgrade Rules
Section titled “Auto-Upgrade Rules”The endpoint automatically upgrades task types based on parameters:
proxy+proxytype→ upgrades to Proxy variant (e.g.RecaptchaV2TaskProxyless→RecaptchaV2Task)enterprise=1→ upgrades to Enterprise variantinvisible=1→ sets invisible flag on supported types
Response
Section titled “Response”Plain text (default)
Section titled “Plain text (default)”Success:
OK|550e8400-e29b-41d4-a716-446655440000Error:
ERROR_KEY_DOES_NOT_EXISTJSON (json=1)
Section titled “JSON (json=1)”Success:
{ "status": 1, "request": "550e8400-e29b-41d4-a716-446655440000"}Error:
{ "status": 0, "request": "ERROR_KEY_DOES_NOT_EXIST"}Examples
Section titled “Examples”reCAPTCHA v2
Section titled “reCAPTCHA v2”curl -s "https://api.ucaptcha.net/in.php?key=YOUR_API_KEY&method=userrecaptcha&googlekey=SITE_KEY&pageurl=https://example.com&json=1"hCaptcha with Proxy
Section titled “hCaptcha with Proxy”curl -s "https://api.ucaptcha.net/in.php?key=YOUR_API_KEY&method=hcaptcha&sitekey=SITE_KEY&pageurl=https://example.com&proxy=user:pass@192.168.1.1:8080&proxytype=HTTP&json=1"reCAPTCHA v3 Enterprise
Section titled “reCAPTCHA v3 Enterprise”curl -s "https://api.ucaptcha.net/in.php?key=YOUR_API_KEY&method=userrecaptcha&googlekey=SITE_KEY&pageurl=https://example.com&action=verify&min_score=0.9&enterprise=1&json=1"Image Captcha (base64)
Section titled “Image Captcha (base64)”BASE64=$(base64 -w 0 captcha.png)curl -s "https://api.ucaptcha.net/in.php?key=YOUR_API_KEY&method=base64&body=$BASE64&json=1"With Pingback (Webhook)
Section titled “With Pingback (Webhook)”curl -s "https://api.ucaptcha.net/in.php?key=YOUR_API_KEY&method=userrecaptcha&googlekey=SITE_KEY&pageurl=https://example.com&pingback=https://your-server.com/callback&json=1"